cakephp (2.10.11-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 16:46:15 +0100

cakephp (2.10.11-2) unstable; urgency=medium

  * scripts: removed "php-mcrypt" from Depends (Closes: #900772).
    Thanks, Adrian Bunk.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 12 Jul 2018 09:36:42 +1000

cakephp (2.10.11-1) unstable; urgency=medium

  * New upstream release.
  * Depends:
    - php-mcrypt (Closes: #900772).
  * rules: invoke dh --with "phpcomposer".
  * Removed "cakephp-instaweb" from Suggests.
  * debhelper & compat to version 11.
  * Standards-Version: 4.1.4.
  * Vcs URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 03 Jul 2018 21:49:47 +1000

cakephp (2.8.5-1) unstable; urgency=medium

  * New upstream release [June 2016].
    + Fixed CVE-2015-8379 (Closes: #832316).
  * Corrected Vcs-Git URL.
  * Standards-Version: 3.9.8.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 24 Jul 2016 18:29:17 +1000

cakephp (2.8.3-1) unstable; urgency=medium

  * New upstream release [March 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 06 Apr 2016 13:47:07 +1000

cakephp (2.8.0-1) unstable; urgency=medium

  * New upstream release [February 2016].
    "CakePHP 2.8 is compatible with, and tested against PHP7".
  * PHP Depends and Suggests updated for new PHP7 packages.
  * rules: dropped "--with phpcomposer" in favour of hard-coded Depends.
  * Standards-Version: 3.9.7.
  * Updated Vcs URLs.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 22 Feb 2016 11:34:59 +1100

cakephp (2.7.2-1) unstable; urgency=medium

  * New upstream release [August 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 17 Aug 2015 02:04:08 +1000

cakephp (2.7.0-1) unstable; urgency=medium

  * New upstream release [July 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 17 Jul 2015 11:00:01 +1000

cakephp (2.6.8-1) unstable; urgency=medium

  * New upstream release [June 2015].
  * cakephp-scripts: drop unused lintian-override.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 04 Jul 2015 19:19:40 +1000

cakephp (2.6.7-1) unstable; urgency=medium

  * New upstream release [May 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 29 Jun 2015 19:20:36 +1000

cakephp (2.6.4-1) unstable; urgency=low

  * New upstream release [April 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 26 Apr 2015 20:18:11 +1000

cakephp (2.6.3-1) unstable; urgency=low

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * New upstream release [March 2015] (Closes: #655983).
  * New maintainer (Closes: #738289).
  * watch: look for 2.x releases on GitHub.
  * Added lintian overrides for "script-not-executable".
  * Build-Depends =+ "pkg-php-tools (>= 1.7~)".
  * Use `dh_phpcomposer` and "${phpcomposer:*}" variables in Depends,
    Suggests, Conflicts, Replaces and Provides.
  * Removed Conflicts/Replaces with obsolete "cakephp1.2*" packages.
  * Added "debian/gbp.conf".
  * Refreshed patches; disabled new "10-*" and "20-*" patches.
  * Removed "MVC" from short package description.
  * Removed PHP4 compatibility note from long package description.

  [ Maxime Chatelle <xakz@rxsoft.eu> ]
  * General changes:
    - Updates d/copyright file to 1.0 standard.
    - Removes d/*.dirs files, not more needed by dh.
    - Removes d/*.lintian-overrides.
  * debian/control:
    - Bumps debhelper version to 9.
    - Bumps Standards-Version to 3.9.6.
    - Adds php5-sqlite and php5-pgsql to cakephp Suggests.
    - Changes cakephp Depends from "php5" to "php5 | php5-cli".
      Development environments can use the PHP integrated HTTP server.
    - Makes cakephp-scripts strictly Depends on the exact version of cakephp.
    - Makes cakephp stricly Recommends the exact version of cakephp-scripts.
      (Multiple co-installable versions of cakephp are planned)
    - Updates VCS fields to the Alioth repository
      (shared between versions of cakephp).
  * debian/rules:
    - Switches from override_dh_install rule to d/*.install files.
    - Removes executable bit of some PHP files in override_dh_fixperms.
  * Refresh patches.
  * Renames patches to follow actual conventions:
    - 01-remove-shebang.diff   ==> 05-remove.unused.shebang.patch
    - 02-cake-binary-libs.diff ==> 07-cake.utility.lib.directory.patch
  * Fix header of old patches to follow http://dep.debian.net/deps/dep3/
  * Adds patches (see patch header for details):
    - 10-Adds.option.preserve_mode.to.Folder_copy.method.patch
    - 20-Avoids.executable.bit.when.app.skeleton.is.created.patch

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 Apr 2015 20:00:00 +1000

cakephp (1.3.15-2) unstable; urgency=medium

  * Orphaning package.

 -- Chris Lamb <lamby@debian.org>  Sat, 08 Feb 2014 23:20:59 +0000

cakephp (1.3.15-1) unstable; urgency=low

  * New upstream release (Closes: #665218)
  * Bump Standards-Version to 3.9.2.
  * Update 02-cake-binary-libs.diff.

 -- Chris Lamb <lamby@debian.org>  Tue, 26 Jun 2012 17:20:45 +0100

cakephp (1.3.7-1) unstable; urgency=low

  * New upstream release.
  * Update Vcs-{Git,Browser}.
  * Bump Standards-Version to 3.9.1.
  * Update debian/watch location. Thanks to Martin Atukunda <matlads@gmail.com>
    (Closes: #603476)

 -- Chris Lamb <lamby@debian.org>  Sun, 27 Feb 2011 21:15:13 +0000

cakephp (1.3.2-1) unstable; urgency=low

  * New upstream release (Closes: #585684)

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Jun 2010 10:05:07 +0100

cakephp (1.3.0-1) unstable; urgency=low

  * New upstream release (Closes: #581400)
  * Update debian/watch.
  * Bump Standards-Version to 3.8.4.
  * Refresh 01-remove-shebang.diff.
  * Refresh 02-cake-binary-libs.diff.
  * Also delete 'empty' files in cakephp-scripts.
  * Remove unnecessary executable bits.

 -- Chris Lamb <lamby@debian.org>  Thu, 20 May 2010 00:12:41 +0100

cakephp (1.2.5-1) unstable; urgency=low

  * New upstream stable release.
  * Allow empty directories in "cakephp" package too; it includes a test
    project which has these directories by default.

 -- Chris Lamb <lamby@debian.org>  Wed, 13 Jan 2010 23:24:24 +0000

cakephp (1.2.4.8284-1) unstable; urgency=low

  * New upstream bugfix release.
  * Bump Standards-Version to 3.8.3
  * Bump Build-Depends on debhelper as we use override_* rules.
  * Use "dh --with quilt" instead of overriding targets to add the quilt stamp
    file to their dependencies.

 -- Chris Lamb <lamby@debian.org>  Mon, 24 Aug 2009 23:37:41 +0100

cakephp (1.2.3.8166-1) unstable; urgency=low

  * New upstream release.
  * Move to Debhelper 7 and override_*-based customisations.
  * Bump Standards-Version to 3.8.1.
  * Using "find ... -print0 | xargs -0" over "find ... | xargs".
  * Add ${misc:Depends} to all binary package Depends.

 -- Chris Lamb <lamby@debian.org>  Sat, 09 May 2009 13:16:16 +0100

cakephp (1.2.1.8004-2) unstable; urgency=low

  * Correct reference to `bake.php` in README.Debian. (Closes: #517031)
  * Update Git repository locations.
  * Correct watch file.

 -- Chris Lamb <lamby@debian.org>  Fri, 06 Mar 2009 11:32:39 +0000

cakephp (1.2.1.8004-1) unstable; urgency=low

  * New upstream release.
  * Add patch description for 02-cake-binary-libs.diff.
  * Use © symbol in debian/copyright to appease lintian.
  * Update years in debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Sun, 15 Feb 2009 22:52:53 +0000

cakephp (1.2.0.7962.final-1) unstable; urgency=low

  * New stable upstream release, released Christmas Day.
  * Update debian/cakephp.docs.
  * Remove unused "package-contains-empty-directory" Lintian overrides for
    cakephp binary package.
  * Remove code to reset pointless executable bits on files (merged upstream
    via https://trac.cakephp.org/ticket/3817).

 -- Chris Lamb <lamby@debian.org>  Tue, 30 Dec 2008 00:42:46 +0000

cakephp (1.2.0.7692-rc3-1) unstable; urgency=low

  * New upstream release.
  * New maintainer email address.

 -- Chris Lamb <lamby@debian.org>  Sat, 04 Oct 2008 15:49:12 +0100

cakephp (1.2.0.7296-rc2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Wed, 02 Jul 2008 13:03:41 +0100

cakephp (1.2.0.7125-rc1-1) unstable; urgency=low

  * New upstream release.
  * Replace now cakephp1.2 package
    - Conflict with and replace cakephp1.2
  * Migrate away from CDBS and dpatch to debhelper and quilt
  * Rename XS-Vcs-* to Vcs-*.
  * Move to machine-readable debian/copyright
  * Bump Standards-Version to 3.8.0

 -- Chris Lamb <chris@chris-lamb.co.uk>  Thu, 03 Apr 2008 13:03:11 +0100

cakephp (1.1.19.6305-1) unstable; urgency=low

  * New upstream release.
  * Remove php4 and php4-cli from Depends: and associated
    Lintian override.
  * Bump Standards-Version to 3.7.3.
  * Rework debian/rules, debian/cakephp.install,
    debian/cakephp-scripts.install, etc.
  * Add Lintian overrides for empty-dir warnings.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Thu, 03 Jan 2008 15:47:47 +0000

cakephp (1.1.18.5850-2) unstable; urgency=low

  * Add Homepage: field
  * Expand acl.php manpage (Closes: #453700)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Mon, 03 Dec 2007 02:58:26 +0000

cakephp (1.1.18.5850-1) unstable; urgency=low

  * New upstream release.
  * Add php5-mysql to Suggests:.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 02 Nov 2007 13:10:17 +0000

cakephp (1.1.17.5612-2) unstable; urgency=low

  * Add cakephp-instaweb to Suggests:.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Mon, 24 Sep 2007 17:53:34 +0100

cakephp (1.1.17.5612-1) unstable; urgency=low

  * New upstream release.
  * Alters default app location for bake.php-generated apps. Thanks
    to Edwin Taylor <hagfish@ntlworld.com>. (Closes: #441263)
  * Add XS-Vcs-Git and XS-Vcs-Browse lines to debian/control.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 14 Sep 2007 19:16:55 +0100

cakephp (1.1.16.5421-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 13 Jul 2007 01:18:30 +0100

cakephp (1.1.15.5144-1) unstable; urgency=low

  * New upstream release.
  * Ensure global cake/vendors directory is in /usr/share/php/cake.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Tue, 22 May 2007 01:23:16 +0100

cakephp (1.1.14.4797-1) unstable; urgency=low

  * New upstream release.
  * Fixed package description. (Closes: #420580)
  * Updated debian/watch to not match development branch.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Wed, 25 Apr 2007 23:23:46 +0100

cakephp (1.1.13.4450-1) unstable; urgency=low

  * Initial release.
  * The bake.php and acl.php scripts have been moved to /usr/bin and set
    executable. Their on-line help has been adjusted to match.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Mon, 19 Mar 2007 19:55:39 +0000
